Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_config.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_config.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_config.F90	(revision 5158)
@@ -1657,5 +1657,5 @@
     ! contains the weights of interest.  We now find the non-zero weights
     nweights = 0
-    do jband = 1,size(mapping,2)
+    DO jband = 1,size(mapping,2)
       if (mapping(2,jband) > 0.0_jprb) then
         nweights = nweights+1
@@ -1674,9 +1674,9 @@
            &  wavenumber2, ' cm-1):'
       if (this%do_cloud_aerosol_per_sw_g_point) then
-        do jband = 1, nweights
+        DO jband = 1, nweights
           write(nulout, '(a,i0,a,f8.4)') '  Shortwave g point ', iband(jband), ': ', weight(jband)
         end do
       else
-        do jband = 1, nweights
+        DO jband = 1, nweights
           wavenumber1_band = this%gas_optics_sw%spectral_def%wavenumber1_band(iband(jband))
           wavenumber2_band = this%gas_optics_sw%spectral_def%wavenumber2_band(iband(jband))
@@ -1728,5 +1728,5 @@
     allocate(diag_ind(ninterval+2))
     diag_ind = 0
-    do jint = 1,ninterval+2
+    DO jint = 1,ninterval+2
       diag_ind(jint) = jint
     end do
@@ -1894,5 +1894,5 @@
     ! Count the number of albedo/emissivity intervals
     ninterval = 0
-    do jint = 1,NMaxAlbedoIntervals
+    DO jint = 1,NMaxAlbedoIntervals
       if (this%i_sw_albedo_index(jint) > 0) then
         ninterval = jint
@@ -1948,5 +1948,5 @@
         write(nulout, '(a,i0,a)',advance='no') 'Mapping from ', size(this%i_albedo_from_band_sw), &
              &  ' shortwave intervals to albedo intervals:'
-        do jband = 1,size(this%i_albedo_from_band_sw)
+        DO jband = 1,size(this%i_albedo_from_band_sw)
           write(nulout,'(a,i0)',advance='no') ' ', this%i_albedo_from_band_sw(jband)
         end do
@@ -1972,5 +1972,5 @@
     ! Count the number of albedo/emissivity intervals
     ninterval = 0
-    do jint = 1,NMaxAlbedoIntervals
+    DO jint = 1,NMaxAlbedoIntervals
       if (this%i_lw_emiss_index(jint) > 0) then
         ninterval = jint
@@ -2026,5 +2026,5 @@
         write(nulout, '(a,i0,a)',advance='no') 'Mapping from ', size(this%i_emiss_from_band_lw), &
              &  ' longwave intervals to emissivity intervals:'
-        do jband = 1,size(this%i_emiss_from_band_lw)
+        DO jband = 1,size(this%i_emiss_from_band_lw)
           write(nulout,'(a,i0)',advance='no') ' ', this%i_emiss_from_band_lw(jband)
         end do
@@ -2056,5 +2056,5 @@
       is_not_found = .true.
 
-      do jc = 0,size(enum_str)-1
+      DO jc = 0,size(enum_str)-1
         if (trim(str) == trim(enum_str(jc))) then
           icode = jc
@@ -2066,5 +2066,5 @@
         write(nulerr,'(a,a,a,a,a)',advance='no') '*** Error: ', trim(var_name), &
              &  ' must be one of: "', enum_str(0), '"'
-        do jc = 1,size(enum_str)-1
+        DO jc = 1,size(enum_str)-1
           write(nulerr,'(a,a,a)',advance='no') ', "', trim(enum_str(jc)), '"'
         end do
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_delta_eddington.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_delta_eddington.h	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_delta_eddington.h	(revision 5158)
@@ -86,5 +86,5 @@
   integer :: j
 
-  do j = 1,ng
+  DO j = 1,ng
     g            = scat_od_g(j) / max(scat_od(j), 1.0e-24)
     f            = g*g
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ecckd.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ecckd.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ecckd.F90	(revision 5158)
@@ -209,5 +209,5 @@
     istart = 1
     this%i_gas_mapping = 0
-    do jgas = 1, this%ngas
+    DO jgas = 1, this%ngas
       if (jgas < this%ngas) then
         inext = istart + scan(constituent_id(istart:nchar), ' ')
@@ -217,5 +217,5 @@
       ! Find gas code
       i_gas_code = 0
-      do jjgas = 1, NMaxGases
+      DO jjgas = 1, NMaxGases
         if (constituent_id(istart:inext-2) == trim(GasLowerCaseName(jjgas))) then
           i_gas_code = jjgas
@@ -264,5 +264,5 @@
          &  this%ntemp, ' temperatures, ', this%nplanck, ' planck-function entries'
     write(nulout, '(a)') '  Gases:'
-    do jgas = 1,this%ngas
+    DO jgas = 1,this%ngas
       if (this%single_gas(jgas)%i_gas_code > 0) then
         write(nulout, '(a,a,a)', advance='no') '    ', &
@@ -373,6 +373,6 @@
 
     ! Interpolate input SSI to regular wavenumber grid
-    do jwav_grid = 1,nwav_grid
-      do jwav = 1,nwav-1
+    DO jwav_grid = 1,nwav_grid
+      DO jwav = 1,nwav-1
         if (wavenumber(jwav) < wavenumber_grid(jwav_grid) &
              &  .and. wavenumber(jwav+1) >= wavenumber_grid(jwav_grid)) then
@@ -426,5 +426,5 @@
            &  ReferenceTSI, ' W m-2, solar cycle amplitude (at solar maximum), update to original solar irradiance'
       iband = 0
-      do jg = 1,this%ng
+      DO jg = 1,this%ng
         if (this%spectral_def%i_band_number(jg) > iband) then
           iband = this%spectral_def%i_band_number(jg)
@@ -516,9 +516,9 @@
     global_multiplier = 1.0_jprb / (AccelDueToGravity * 0.001_jprb * AirMolarMass)
 
-    do jcol = istartcol,iendcol
+    DO jcol = istartcol,iendcol
 
       log_pressure_fl = log(0.5_jprb * (pressure_hl(jcol,1:nlev)+pressure_hl(jcol,2:nlev+1)))
 
-      do jlev = 1,nlev
+      DO jlev = 1,nlev
         ! Find interpolation points in pressure
         pindex1 = (log_pressure_fl(jlev)-this%log_pressure1) &
@@ -546,5 +546,5 @@
       optical_depth_fl(:,:,jcol) = 0.0_jprb
       
-      do jgas = 1,this%ngas
+      DO jgas = 1,this%ngas
 
         associate (single_gas => this%single_gas(jgas))
@@ -561,5 +561,5 @@
             end if
             
-            do jlev = 1,nlev
+            DO jlev = 1,nlev
               optical_depth_fl(:,jlev,jcol) = optical_depth_fl(:,jlev,jcol) &
                    &        + (multiplier(jlev)*tw1(jlev)) * (pw1(jlev) * molar_abs(:,ip1(jlev),it1(jlev)) &
@@ -581,5 +581,5 @@
             end if
             
-            do jlev = 1,nlev
+            DO jlev = 1,nlev
               optical_depth_fl(:,jlev,jcol) = optical_depth_fl(:,jlev,jcol) &
                    &        + (multiplier(jlev)*tw1(jlev)) * (pw1(jlev) * molar_abs(:,ip1(jlev),it1(jlev)) &
@@ -592,5 +592,5 @@
             ! Composite gases
             molar_abs => this%single_gas(jgas)%molar_abs
-            do jlev = 1,nlev
+            DO jlev = 1,nlev
               optical_depth_fl(:,jlev,jcol) = optical_depth_fl(:,jlev,jcol) &
                    &  + (simple_multiplier(jlev)*tw1(jlev)) * (pw1(jlev) * molar_abs(:,ip1(jlev),it1(jlev)) &
@@ -611,5 +611,5 @@
             molar_abs_conc => this%single_gas(jgas)%molar_abs_conc
             mole_frac1 = exp(single_gas%log_mole_frac1)
-            do jlev = 1,nlev
+            DO jlev = 1,nlev
               ! Take care of mole_fraction == 0
               log_conc = log(max(mole_fraction_fl(jcol,jlev,igascode)*scaling, mole_frac1))
@@ -628,5 +628,5 @@
               !      &                +tw2 * (pw1 * molar_abs_conc(:,ip1,it1+1,ic1+1) &
               !      &                       +pw2 * molar_abs_conc(:,ip1+1,it1+1,ic1+1)))
-            do jlev = 1,nlev
+            DO jlev = 1,nlev
               optical_depth_fl(:,jlev,jcol) = optical_depth_fl(:,jlev,jcol) &
                    &  + (simple_multiplier(jlev) * mole_fraction_fl(jcol,jlev,igascode) * scaling) * ( &
@@ -651,5 +651,5 @@
       ! Rayleigh scattering
       if (this%is_sw .and. present(rayleigh_od_fl)) then
-        do jlev = 1,nlev
+        DO jlev = 1,nlev
           rayleigh_od_fl(:,jlev,jcol) = global_multiplier &
                &  * (pressure_hl(jcol,jlev+1) - pressure_hl(jcol,jlev)) * this%rayleigh_molar_scat
@@ -729,6 +729,6 @@
     od_fl(:,:,:) = 0.0_jprb
 
-    do jlev = 1,nlev
-      do jcol = istartcol,iendcol
+    DO jlev = 1,nlev
+      DO jcol = istartcol,iendcol
 
         log_pressure_fl = log(0.5_jprb * (pressure_hl(jcol,jlev)+pressure_hl(jcol,jlev+1)))
@@ -758,5 +758,5 @@
     end do
 
-    do jgas = 1,this%ngas
+    DO jgas = 1,this%ngas
 
       associate (single_gas => this%single_gas(jgas))
@@ -768,7 +768,7 @@
           molar_abs => this%single_gas(jgas)%molar_abs
 
-          do jlev = 1,nlev
-            do jg = 1, this%ng
-              do jcol = istartcol,iendcol
+          DO jlev = 1,nlev
+            DO jg = 1, this%ng
+              DO jcol = istartcol,iendcol
                 multiplier = simple_multiplier(jcol,jlev) * mole_fraction_fl(jcol,jlev,igascode)
 
@@ -785,7 +785,7 @@
           molar_abs => this%single_gas(jgas)%molar_abs
 
-          do jlev = 1,nlev
-            do jg = 1, this%ng
-              do jcol = istartcol,iendcol
+          DO jlev = 1,nlev
+            DO jg = 1, this%ng
+              DO jcol = istartcol,iendcol
                 multiplier = simple_multiplier(jcol,jlev)  * (mole_fraction_fl(jcol,jlev,igascode) &
                    &                            - single_gas%reference_mole_frac)
@@ -804,7 +804,7 @@
           molar_abs => this%single_gas(jgas)%molar_abs
 
-          do jlev = 1,nlev
-            do jg = 1, this%ng
-              do jcol = istartcol,iendcol
+          DO jlev = 1,nlev
+            DO jg = 1, this%ng
+              DO jcol = istartcol,iendcol
                 od_fl(jcol,jg,jlev) = od_fl(jcol,jg,jlev) &
                    &        + (simple_multiplier(jcol,jlev)*tw1(jcol,jlev)) *   &
@@ -823,6 +823,6 @@
             mole_frac1 = exp(single_gas%log_mole_frac1)
 
-            do jlev = 1,nlev
-              do jcol = istartcol,iendcol
+            DO jlev = 1,nlev
+              DO jcol = istartcol,iendcol
                 ! Take care of mole_fraction == 0
                 log_conc = log(max(mole_fraction_fl(jcol,jlev,igascode), mole_frac1))
@@ -835,8 +835,8 @@
             end do
 
-          do jlev = 1,nlev
-            do jg = 1, this%ng
+          DO jlev = 1,nlev
+            DO jg = 1, this%ng
 !NEC$ select_vector
-              do jcol = istartcol,iendcol
+              DO jcol = istartcol,iendcol
 
                 od_fl(jcol,jg,jlev) = od_fl(jcol,jg,jlev) &
@@ -866,7 +866,7 @@
 
       ! Ensure the optical depth is not negative
-      do jcol = istartcol,iendcol
-        do jlev = 1,nlev
-          do jg = 1, this%ng
+      DO jcol = istartcol,iendcol
+        DO jlev = 1,nlev
+          DO jg = 1, this%ng
             optical_depth_fl(jg,jlev,jcol) = max(0.0_jprb, od_fl(jcol,jg,jlev))
           end do
@@ -876,7 +876,7 @@
       ! Rayleigh scattering
       if (this%is_sw .and. present(rayleigh_od_fl)) then
-        do jcol = istartcol,iendcol
-          do jlev = 1,nlev
-            do jg = 1, this%ng
+        DO jcol = istartcol,iendcol
+          DO jlev = 1,nlev
+            DO jg = 1, this%ng
               rayleigh_od_fl(jg,jlev,jcol) = global_multiplier &
                &  * (pressure_hl(jcol,jlev+1) - pressure_hl(jcol,jlev)) * this%rayleigh_molar_scat(jg)
@@ -908,5 +908,5 @@
     integer    :: it1, jt
 
-    do jt = 1,nt
+    DO jt = 1,nt
       tindex1 = (temperature(jt) - this%temperature1_planck) &
            &   * (1.0_jprb / this%d_temperature_planck)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ecckd_interface.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ecckd_interface.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ecckd_interface.F90	(revision 5158)
@@ -272,7 +272,7 @@
       ! rayleigh optical depth: convert to total optical depth and
       ! single-scattering albedo
-      do jcol = istartcol,iendcol
-        do jlev = 1, nlev
-          do jg = 1, config%n_g_sw
+      DO jcol = istartcol,iendcol
+        DO jlev = 1, nlev
+          DO jg = 1, config%n_g_sw
             od_sw(jg,jlev,jcol)  = od_sw(jg,jlev,jcol) + ssa_sw(jg,jlev,jcol)
             ssa_sw(jg,jlev,jcol) = ssa_sw(jg,jlev,jcol) / od_sw(jg,jlev,jcol)
@@ -308,5 +308,5 @@
 
       ! Calculate the Planck function for each g point
-      do jcol = istartcol,iendcol
+      DO jcol = istartcol,iendcol
         call config%gas_optics_lw%calc_planck_function(nlev+1, &
              &  thermodynamics%temperature_hl(jcol,:), planck_hl(:,:,jcol))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_flux.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_flux.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_flux.F90	(revision 5158)
@@ -423,5 +423,5 @@
              &               config%i_band_from_reordered_g_sw, &
              &               this%sw_dn_surf_band, istartcol, iendcol)
-        do jcol = istartcol,iendcol
+        DO jcol = istartcol,iendcol
           this%sw_dn_surf_band(:,jcol) &
                &  = this%sw_dn_surf_band(:,jcol) &
@@ -429,5 +429,5 @@
         end do
       else
-        do jcol = istartcol,iendcol
+        DO jcol = istartcol,iendcol
           call indexed_sum(this%sw_dn_direct_surf_g(:,jcol), &
                &           config%i_band_from_reordered_g_sw, &
@@ -450,5 +450,5 @@
                &               config%i_band_from_reordered_g_sw, &
                &               this%sw_dn_surf_clear_band, istartcol, iendcol)
-          do jcol = istartcol,iendcol
+          DO jcol = istartcol,iendcol
             this%sw_dn_surf_clear_band(:,jcol) &
                  &  = this%sw_dn_surf_clear_band(:,jcol) &
@@ -456,5 +456,5 @@
           end do
         else
-          do jcol = istartcol,iendcol
+          DO jcol = istartcol,iendcol
             call indexed_sum(this%sw_dn_direct_surf_clear_g(:,jcol), &
                  &           config%i_band_from_reordered_g_sw, &
@@ -486,5 +486,5 @@
                &               this%sw_dn_diffuse_surf_canopy, istartcol, iendcol)
         else
-          do jcol = istartcol,iendcol
+          DO jcol = istartcol,iendcol
             call indexed_sum(this%sw_dn_direct_surf_g(:,jcol), &
                  &           config%i_albedo_from_band_sw(config%i_band_from_reordered_g_sw), &
@@ -502,6 +502,6 @@
         this%sw_dn_diffuse_surf_canopy(:,istartcol:iendcol) = 0.0_jprb
         this%sw_dn_direct_surf_canopy (:,istartcol:iendcol) = 0.0_jprb
-        do jband = 1,config%n_bands_sw
-          do jalbedoband = 1,nalbedoband
+        DO jband = 1,config%n_bands_sw
+          DO jalbedoband = 1,nalbedoband
             if (config%sw_albedo_weights(jalbedoband,jband) /= 0.0_jprb) then
               ! Initially, "diffuse" is actually "total"
@@ -534,5 +534,5 @@
                &               this%lw_dn_surf_canopy, istartcol, iendcol)
         else
-          do jcol = istartcol,iendcol
+          DO jcol = istartcol,iendcol
             call indexed_sum(this%lw_dn_surf_g(:,jcol), &
                  &           config%i_emiss_from_band_lw(config%i_band_from_reordered_g_lw), &
@@ -548,5 +548,5 @@
                &               lw_dn_surf_band, istartcol, iendcol)
         else
-          do jcol = istartcol,iendcol
+          DO jcol = istartcol,iendcol
             call indexed_sum(this%lw_dn_surf_g(:,jcol), &
                  &           config%i_band_from_reordered_g_lw, &
@@ -556,6 +556,6 @@
         nalbedoband = size(config%lw_emiss_weights,1)
         this%lw_dn_surf_canopy(:,istartcol:iendcol) = 0.0_jprb
-        do jband = 1,config%n_bands_lw
-          do jalbedoband = 1,nalbedoband
+        DO jband = 1,config%n_bands_lw
+          DO jalbedoband = 1,nalbedoband
             if (config%lw_emiss_weights(jalbedoband,jband) /= 0.0_jprb) then
               this%lw_dn_surf_canopy(jalbedoband,istartcol:iendcol) &
@@ -602,5 +602,5 @@
              &               this%sw_up_toa_band, istartcol, iendcol)
       else
-        do jcol = istartcol,iendcol
+        DO jcol = istartcol,iendcol
           call indexed_sum(this%sw_dn_toa_g(:,jcol), &
                &           config%i_band_from_reordered_g_sw, &
@@ -618,5 +618,5 @@
                &               this%sw_up_toa_clear_band, istartcol, iendcol)
         else
-          do jcol = istartcol,iendcol
+          DO jcol = istartcol,iendcol
             call indexed_sum(this%sw_up_toa_clear_g(:,jcol), &
                  &               config%i_band_from_reordered_g_sw, &
@@ -634,5 +634,5 @@
              &               this%lw_up_toa_band, istartcol, iendcol)
       else
-        do jcol = istartcol,iendcol
+        DO jcol = istartcol,iendcol
           call indexed_sum(this%lw_up_toa_g(:,jcol), &
                &           config%i_band_from_reordered_g_lw, &
@@ -647,5 +647,5 @@
                &               this%lw_up_toa_clear_band, istartcol, iendcol)
         else
-          do jcol = istartcol,iendcol
+          DO jcol = istartcol,iendcol
             call indexed_sum(this%lw_up_toa_clear_g(:,jcol), &
                  &               config%i_band_from_reordered_g_lw, &
@@ -753,5 +753,5 @@
     iend   = ubound(source,1)
 
-    do jg = istart, iend
+    DO jg = istart, iend
       ig = ind(jg)
       dest(ig) = dest(ig) + source(jg)
@@ -777,5 +777,5 @@
     iend   = ubound(source,1)
 
-    do jg = istart, iend
+    DO jg = istart, iend
       ig = ind(jg)
       dest(ig) = dest(ig) + source(jg)
@@ -797,7 +797,7 @@
     dest = 0.0
 
-    do jg = lbound(source,1), ubound(source,1)
+    DO jg = lbound(source,1), ubound(source,1)
       ig = ind(jg)
-      do jc = ist, iend
+      DO jc = ist, iend
         dest(ig,jc) = dest(ig,jc) + source(jg,jc)
       end do
@@ -820,6 +820,6 @@
     nlev   = size(source,2)
 
-    do jlev = 1,nlev
-      do jg = istart, iend
+    DO jlev = 1,nlev
+      DO jg = istart, iend
         ig = ind(jg)
         dest(ig,jlev) = dest(ig,jlev) + source(jg,jlev)
@@ -846,6 +846,6 @@
     nlev   = size(source,2)
 
-    do jlev = 1,nlev
-      do jg = istart, iend
+    DO jlev = 1,nlev
+      DO jg = istart, iend
         ig = ind(jg)
         dest(ig,jlev) = dest(ig,jlev) + source(jg,jlev)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_gas.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_gas.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_gas.F90	(revision 5158)
@@ -209,6 +209,6 @@
     this%is_well_mixed(igas) = .false.
 
-    do jk = 1,this%nlev
-      do jc = i1,i2
+    DO jk = 1,this%nlev
+      DO jc = i1,i2
         this%mixing_ratio(jc,jk,igas) = mixing_ratio(jc-i1+1,jk)
       end do
@@ -294,6 +294,6 @@
     this%is_well_mixed(igas)           = .true.
 
-    do jk = 1,this%nlev
-      do jc = i1,i2
+    DO jk = 1,this%nlev
+      DO jc = i1,i2
         this%mixing_ratio(jc,jk,igas) = mixing_ratio
       end do
@@ -397,5 +397,5 @@
       end if
     else
-      do jg = 1,this%ntype
+      DO jg = 1,this%ntype
         call this%set_units(iunits, igas=this%icode(jg), scale_factor=new_sf)
       end do
@@ -416,5 +416,5 @@
     
     scaling = this%scale_factor
-    do jg = 1,NMaxGases
+    DO jg = 1,NMaxGases
       if (iunits == IMassMixingRatio .and. this%iunits(jg) == IVolumeMixingRatio) then
         scaling(jg) = scaling(jg) * GasMolarMass(jg) / AirMolarMass
@@ -481,5 +481,5 @@
       end if
     else
-      do jg = 1,this%ntype
+      DO jg = 1,this%ntype
         call this%assert_units(iunits, igas=this%icode(jg), scale_factor=sf, istatus=istatus)
       end do
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_general_cloud_optics.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_general_cloud_optics.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_general_cloud_optics.F90	(revision 5158)
@@ -53,5 +53,5 @@
     ! Count number of cloud types
     config%n_cloud_types = 0
-    do jtype = 1,NMaxCloudTypes
+    DO jtype = 1,NMaxCloudTypes
       if (len_trim(config%cloud_type_name(jtype)) > 0) then
         config%n_cloud_types = jtype
@@ -83,5 +83,5 @@
 
     ! Load cloud optics data
-    do jtype = 1,config%n_cloud_types
+    DO jtype = 1,config%n_cloud_types
       if (config%cloud_type_name(jtype)(1:1) == '/') then
         file_name = trim(config%cloud_type_name(jtype))
@@ -191,5 +191,5 @@
 
     ! Loop over cloud types
-    do jtype = 1,config%n_cloud_types
+    DO jtype = 1,config%n_cloud_types
       ! Compute in-cloud water path
       if (config%is_homogeneous) then
@@ -238,6 +238,6 @@
     ! Scale the combined longwave optical properties
     if (config%do_lw_cloud_scattering) then
-      do jcol = istartcol, iendcol
-        do jlev = 1,nlev
+      DO jcol = istartcol, iendcol
+        DO jlev = 1,nlev
           if (cloud%fraction(jcol,jlev) > 0.0_jprb) then
             ! Note that original cloud optics does not do
@@ -259,6 +259,6 @@
     if (config%do_sw) then
       if (.not. config%do_sw_delta_scaling_with_gases) then
-        do jcol = istartcol, iendcol
-          do jlev = 1,nlev
+        DO jcol = istartcol, iendcol
+          DO jlev = 1,nlev
             if (cloud%fraction(jcol,jlev) > 0.0_jprb) then
               call delta_eddington_extensive(od_sw_cloud(:,jlev,jcol), &
@@ -269,9 +269,9 @@
       end if
 
-      do jcol = istartcol, iendcol
-        do jlev = 1,nlev
+      DO jcol = istartcol, iendcol
+        DO jlev = 1,nlev
           if (cloud%fraction(jcol,jlev) > 0.0_jprb) then
             ! Scale to get asymmetry factor and single scattering albedo
-            do jg = 1, config%n_bands_sw
+            DO jg = 1, config%n_bands_sw
               g_sw_cloud(jg,jlev,jcol) = g_sw_cloud(jg,jlev,jcol) &
                  &  / max(ssa_sw_cloud(jg,jlev,jcol), 1.0e-15_jprb)
@@ -308,5 +308,5 @@
     if (lhook) call dr_hook('radiation_general_cloud_optics:save',0,hook_handle)
 
-    do jtype = 1,config%n_cloud_types
+    DO jtype = 1,config%n_cloud_types
       if (config%do_sw) then
         associate(co_sw => config%cloud_optics_sw(jtype))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_general_cloud_optics_data.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_general_cloud_optics_data.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_general_cloud_optics_data.F90	(revision 5158)
@@ -285,6 +285,6 @@
 
     if (present(scat_od)) then
-      do jcol = 1,ncol
-        do jlev = 1,nlev
+      DO jcol = 1,ncol
+        DO jlev = 1,nlev
           if (cloud_fraction(jcol, jlev) > 0.0_jprb) then
             re_index = max(1.0_jprb, min(1.0_jprb + (effective_radius(jcol,jlev)-this%effective_radius_0) &
@@ -293,5 +293,5 @@
             weight2 = re_index - ire
             weight1 = 1.0_jprb - weight2
-            do jg = 1, ng
+            DO jg = 1, ng
               od_local = water_path(jcol, jlev) * (weight1*this%mass_ext(jg,ire) &
                  &                                +weight2*this%mass_ext(jg,ire+1))
@@ -310,6 +310,6 @@
     else
       ! No scattering: return the absorption optical depth
-      do jcol = 1,ncol
-        do jlev = 1,nlev
+      DO jcol = 1,ncol
+        DO jlev = 1,nlev
           if (water_path(jcol, jlev) > 0.0_jprb) then
             re_index = max(1.0_jprb, min(1.0_jprb + (effective_radius(jcol,jlev)-this%effective_radius_0) &
@@ -404,5 +404,5 @@
 
     ! Define effective radius
-    do ire = 1,this%n_effective_radius
+    DO ire = 1,this%n_effective_radius
       effective_radius(ire) = this%effective_radius_0 + this%d_effective_radius*(ire-1)
     end do
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_homogeneous_lw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_homogeneous_lw.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_homogeneous_lw.F90	(revision 5158)
@@ -119,9 +119,9 @@
 
     ! Loop through columns
-    do jcol = istartcol,iendcol
+    DO jcol = istartcol,iendcol
 
       ! Is there any cloud in the profile?
       is_cloudy_profile = .false.
-      do jlev = 1,nlev
+      DO jlev = 1,nlev
         if (cloud%fraction(jcol,jlev) >= config%cloud_fraction_threshold) then
           is_cloudy_profile = .true.
@@ -135,5 +135,5 @@
       ! the clear-sky layers since these will be needed when we come
       ! to do the total-sky fluxes.
-      do jlev = 1,nlev
+      DO jlev = 1,nlev
         if (config%do_clear .or. cloud%fraction(jcol,jlev) &
              &                 < config%cloud_fraction_threshold) then
@@ -201,5 +201,5 @@
       ! now.
       if (is_cloudy_profile .or. .not. config%do_clear) then
-        do jlev = 1,nlev
+        DO jlev = 1,nlev
           ! Compute combined gas+aerosol+cloud optical properties;
           ! note that for clear layers, the reflectance and
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_homogeneous_sw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_homogeneous_sw.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_homogeneous_sw.F90	(revision 5158)
@@ -123,5 +123,5 @@
 
     ! Loop through columns
-    do jcol = istartcol,iendcol
+    DO jcol = istartcol,iendcol
       ! Only perform calculation if sun above the horizon
       if (single_level%cos_sza(jcol) > 0.0_jprb) then
@@ -131,5 +131,5 @@
         ! Is there any cloud in the profile?
         is_cloudy_profile = .false.
-        do jlev = 1,nlev
+        DO jlev = 1,nlev
           if (cloud%fraction(jcol,jlev) >= config%cloud_fraction_threshold) then
             is_cloudy_profile = .true.
@@ -146,5 +146,5 @@
           ! Delta-Eddington scaling has already been performed to the
           ! aerosol part of od, ssa and g
-          do jlev = 1,nlev
+          DO jlev = 1,nlev
             if (config%do_clear .or. cloud%fraction(jcol,jlev) &
                  &                 < config%cloud_fraction_threshold) then
@@ -164,5 +164,5 @@
         else
           ! Apply delta-Eddington scaling to the aerosol-gas mixture
-          do jlev = 1,nlev
+          DO jlev = 1,nlev
             if (config%do_clear .or. cloud%fraction(jcol,jlev) &
                  &                 < config%cloud_fraction_threshold) then
@@ -229,5 +229,5 @@
         ! fluxes now.
         if (is_cloudy_profile .or. .not. config%do_clear) then
-          do jlev = 1,nlev
+          DO jlev = 1,nlev
             ! Compute combined gas+aerosol+cloud optical properties;
             ! note that for clear layers, the reflectance and
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ice_optics_fu.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ice_optics_fu.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_ice_optics_fu.F90	(revision 5158)
@@ -73,5 +73,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-    do jb = 1, nb
+    DO jb = 1, nb
       od(jb) = iwp_gm_2 * (coeff(jb,1) + coeff(jb,2) * inv_de_um)
       scat_od(jb) = od(jb) * (1.0_jprb - (coeff(jb,3) + de_um*(coeff(jb,4) &
@@ -124,5 +124,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-    do jb = 1, nb
+    DO jb = 1, nb
       od(jb) = iwp_gm_2 * (coeff(jb,1) + inv_de_um*(coeff(jb,2) &
          &  + inv_de_um*coeff(jb,3)))
